summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbtd13372019-05-14 02:26:58 -0300
committerbtd13372019-05-14 02:26:58 -0300
commitb2d7dd5a46cd190258d47b344574a58f42df478c (patch)
tree8ada2bd88ee69a11696ad2d3623581bc21bf6393
downloadaur-b2d7dd5a46cd190258d47b344574a58f42df478c.tar.gz
Initial release
-rw-r--r--.SRCINFO26
-rw-r--r--.gitignore1
-rw-r--r--PKGBUILD39
3 files changed, 66 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7f1cd8892d8
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,26 @@
+pkgbase = raddiu-git
+ pkgdesc = Radio program for GNU/Linux made in gtk3 designed for Pantheon Shell
+ pkgver = r51.729f8f8
+ pkgrel = 1
+ url = https://github.com/ranfdev/raddiu
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ makedepends = meson
+ makedepends = ninja
+ makedepends = vala
+ depends = gtk3
+ depends = granite
+ depends = glib2>=2.20
+ depends = libsoup
+ depends = json-glib
+ depends = gdk-pixbuf2
+ optdepends = lib32-json-glib
+ provides = raddiu
+ conflicts = raddiu
+ source = git+https://github.com/ranfdev/raddiu.git
+ md5sums = SKIP
+
+pkgname = raddiu-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..b25c15b81fa
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1 @@
+*~
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a572fa06579
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Helder Bertoldo <helder.bertoldo@gmail.com>
+# Contributor:
+
+_gitname=raddiu
+_author=ranfdev
+pkgname=("${_gitname}-git")
+pkgver=r51.729f8f8
+pkgrel=1
+pkgdesc="Radio program for GNU/Linux made in gtk3 designed for Pantheon Shell"
+arch=('i686' 'x86_64')
+url="https://github.com/${_author}/${_gitname}"
+license=('GPL3')
+depends=('gtk3' 'granite' 'glib2>=2.20' 'libsoup' 'json-glib' 'gdk-pixbuf2')
+optdepends=('lib32-json-glib')
+makedepends=('git' 'meson' 'ninja' 'vala')
+provides=("${_gitname}")
+conflicts=("${_gitname}")
+source=("git+${url}.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${_gitname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "${_gitname}/"
+ meson . _build --prefix=/usr
+ ninja -C _build
+}
+
+package() {
+ cd "${_gitname}/"
+ DESTDIR="${pkgdir}" ninja -C _build install
+}
+